Package bitel.billing.server.contract.bean

# Class ContractGroupManager

java.lang.Object
bitel.billing.server.contract.bean.ContractGroupManager

public class ContractGroupManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractGroupManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ContractGroup>`
  `getEnableGroupList()`
  `List<ContractGroup>`
  `getGroupList()`
  `List<ContractGroup>`
  `getGroupList(boolean all)`
  `List<ContractGroup>`
  `getGroupList(long groupMask)`
  `Map<Integer,Integer>`
  `getStatMap()`
  `boolean`
  `isEditable(int id)`
  `void`
  `updateGroup(ContractGroup contractGroup)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected Connection con

- ## Constructor Details

  - ### ContractGroupManager

    public ContractGroupManager(Connection con)

- ## Method Details

  - ### getGroupList

    public List<ContractGroup> getGroupList() throws SQLException
    Throws:
      `SQLException`

  - ### getGroupList

    public List<ContractGroup> getGroupList(long groupMask) throws SQLException
    Throws:
      `SQLException`

  - ### getEnableGroupList

    public List<ContractGroup> getEnableGroupList() throws SQLException
    Throws:
      `SQLException`

  - ### getGroupList

    public List<ContractGroup> getGroupList(boolean all) throws SQLException
    Throws:
      `SQLException`

  - ### isEditable

    public boolean isEditable(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updateGroup

    public void updateGroup(ContractGroup contractGroup) throws SQLException
    Throws:
      `SQLException`

  - ### getStatMap

    public Map<Integer,Integer> getStatMap() throws SQLException
    Throws:
      `SQLException`